ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

Upgrading CAPM Data Aggregator to DX NetOps 21.2.3 or later releases fails with error - "upgrade Data Repository before proceeding..."

book

Article ID: 227838

calendar_today

Updated On:

Products

CA Performance Management - Usage and Administration DX NetOps

Issue/Introduction

When attempting to upgrade CAPM to 21.2.4, DA fails with error during install:

Error code: 3

Description: Please upgrade Data Repository before proceeding with Data 

Aggregator installation

However, Vertica was upgraded, so why does this happen?

Cause

Vertica was still running on the old version (9.1.1-5). From version DX NetOps CAPM release 21.2.3 onwards, Vertica is upgraded to 10.1.1-0.

TechDocs : DX NetOps 21.2.x CAPM : Upgrade the DR

Environment

Upgrade of DX NetOps CAPM to 21.2.3 or later release

Resolution

Upgrade did not initially succeed on DR as Vertica was likely still running. So DA would not upgrade until Vertica had been upgraded. Check that the Vertica version is correct after upgrade by running:

/opt/vertica/bin/adminTools

Once this is done, then DA will successfully upgrade to 21.2.3 or later.

Attachments